Subject: bug#41187: 28.0.50; Flipped text

From: Alan Third <[email-masked]>
Date: Sun, 9 Aug 2020 15:33:22 +0200 (CEST)

On Sun, Aug 09, 2020 at 10:50:23AM +0100, Wasim Abbas wrote:
> Yes this is the text from the file I have opened.
> 
> I just did a quick test again today and I can reliably reproduce it.
> This time however it's not just flipped but corrupt frame buffer as
> it seems?
> 
> Here is what I have tried. Open up a longish C++ header file. Scroll
> with mouse a few times. Nothing happened. Split the window
> vertically and the scrolled a few more time rapidly. The corruption
> started in that window only. Visited another buffer in that window
> “messages” buffer you can see the flipped text there as well.
> 
> Visit the first window (is content was displayed correct so far, I
> think because its not refreshed yet) and move cursor up and down 1
> line at a time only that line is displayed wrong but also some other
> corruptions in random places.

It sounds suspiciously like we're flipping the bitmap and not
unflipping it, but I can't see how that happens.

Are you able to reproduce it with emacs -Q?
-- 
Alan Third